<wo:form>
  <wo:AjaxUpdateContainer id = "$buttonsContainerId">
    <wo:CktlAjaxSimpleTableView id = "$tableRepartitionId" displayGroup = "$displayGroup" item = "$currentItem" selectionMultipleEnabled = "false" useFixedHeader = "false" updateContainerID = "bouton">
      <wo:CktlAjaxSimpleTableViewHeader>
        <wo:CktlAjaxSimpleTableViewColumn label = "Type" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Nom" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Prénom" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Composante" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Département" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Corps/Contrat" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Statut" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Heures attribuées" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Heures réalisées" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Etat" />
      </wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewBody>
      <wo:if condition = "$styleLigneChangementAP">
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanNom" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanPrenom" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanComposante" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanDepartement" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanCorps" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanStatut" /></td>
        <td class = "cktl-right-align cktl-line-separator"><wo:CktlNumber value = "$currentItem.heuresPrevues" /></td>
        <td class = "cktl-right-align cktl-line-separator"><wo:CktlNumber value = "$currentItem.heuresRealisees" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$etatRepartition" /></td>
	</wo:if>
	<wo:else>
        <td align = "left" ><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanNom" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanPrenom" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanComposante" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanDepartement" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanCorps" /></td>
        <td align = "left" ><wo:string value = "$enseignantBeanStatut" /></td>
        <td class = "cktl-right-align" ><wo:CktlNumber value = "$currentItem.heuresPrevues" /></td>
        <td class = "cktl-right-align" ><wo:CktlNumber value = "$currentItem.heuresRealisees" /></td>
        <td align = "left" ><wo:string value = "$etatRepartition" /></td>
	</wo:else>
      </wo:CktlAjaxSimpleTableViewBody>
    </wo:CktlAjaxSimpleTableView>
    <br />
    <wo:AjaxUpdateContainer id = "bouton">
      <wo:conditional condition = "$affichageBoutons">
        <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.application.boutonAjouter"  disabled = "$isNotModifiable"/>
        <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.application.boutonModifier" disabled = "$getBoutonsInactifsAndIsNotModifiable" />
        <wo:CktlSubmitButton type = "delete" action = "$deleteAction" text = "$session.localizer.application.boutonSupprimer" disabled = "$getBoutonsInactifsAndIsNotModifiable" onClick = "if (confirm('Voulez-vous vraiment supprimer cette affectation ?')) {return true;} else {return false;}" updateContainerID = "$tableRepartitionId" />
      </wo:conditional>
    </wo:AjaxUpdateContainer>
  </wo:AjaxUpdateContainer>
</wo:form>